MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007661ardourbugspublic2018-09-11 02:272018-10-30 00:59
Reporterjohne53 
Assigned Tox42 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformAllOSAllOS Version
Product Version5.X git (version in description) 
Target VersionFixed in Version 
Summary0007661: Unitialized variable in 'libs/ardour/ltc_file_reader.cc'
DescriptionDiscovered 11th Sept 2018

libardour contains the following at line 233 of 'libs/ardour/ltc_file_reader.cc':-

      double fp_sec = frame.off_start / (double) _info.samplerate;

which is near to the bottom of function 'LTCFileReader::read_ltc()'.

I might have missed something but AFAICT 'frame.off_start' never got initialized anywhere.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0020381)
x42 (administrator)
2018-09-11 07:04

Thanks for the heads up. Fixed in 6.0-pre0-1000-gd7dc224da
(0020382)
johne53 (reporter)
2018-09-13 04:28

Hi Robin - just a heads-op that your fix won't work yet in the Mixbus five branch. Basically, it uses Temporal::samplepos_t but I don't think libtemporal's been ported yet to the five branch.

- Issue History
Date Modified Username Field Change
2018-09-11 02:27 johne53 New Issue
2018-09-11 07:04 x42 Note Added: 0020381
2018-09-11 07:04 x42 Status new => resolved
2018-09-11 07:04 x42 Resolution open => fixed
2018-09-11 07:04 x42 Assigned To => x42
2018-09-13 04:28 johne53 Note Added: 0020382
2018-10-30 00:59 user3518 Note Added: 0020427
2018-10-31 10:47 paul Note Deleted: 0020427


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker